apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
  creationTimestamp: "2020-01-27T19:50:47Z"
  generation: 3
  labels:
    run: kardbot
  name: kardbot
  namespace: karaokards
  resourceVersion: "48537399"
  selfLink: /apis/extensions/v1beta1/namespaces/karaokards/deployments/kardbot
  uid: 502b4760-413e-11ea-94d8-9cb6540931b5
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      run: kardbot
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        run: kardbot
    spec:
      containers:
      - image: imartyn/karokardbot:0.0.1
        imagePullPolicy: IfNotPresent
        name: kardbot
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /etc/twitch/
          name: oauth
        - mountPath: /app/strings.json
          name: extracards
          subPath: strings.json
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: oauth
        secret:
          defaultMode: 420
          secretName: twitchoauth
      - configMap:
          defaultMode: 420
          items:
          - key: strings.json
            path: strings.json
          name: extracards
        name: extracards
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2020-01-27T19:50:47Z"
    lastUpdateTime: "2020-01-27T20:05:34Z"
    message: ReplicaSet "kardbot-6dff8d86dd" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2020-01-27T20:08:26Z"
    lastUpdateTime: "2020-01-27T20:08:26Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 3
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
